librime: rime::KeyEvent Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::KeyEvent Class Reference

`#include <key_event.h>`

## Public Member Functions
| KeyEvent ()=default
| KeyEvent (int keycode, int modifier)
RIME_DLL | KeyEvent (const string &repr)
int | keycode () const
void | keycode (int value)
int | modifier () const
void | modifier (int value)
bool | shift () const
bool | ctrl () const
bool | alt () const
bool | caps () const
bool | super () const
bool | release () const
RIME_DLL string | repr () const
RIME_DLL bool | Parse (const string &repr)
bool | operator== (const KeyEvent &other) const
bool | operator< (const KeyEvent &other) const

## Constructor & Destructor Documentation

## ◆ KeyEvent() [1/3]

rime::KeyEvent::KeyEvent | ( |  | ) |
| default

## ◆ KeyEvent() [2/3]

rime::KeyEvent::KeyEvent | ( | int | keycode,
|  | int | modifier )
| inline

## ◆ KeyEvent() [3/3]

rime::KeyEvent::KeyEvent | ( | const string & | repr | ) |

## Member Function Documentation

## ◆ alt()

bool rime::KeyEvent::alt | ( |  | ) | const
| inline

## ◆ caps()

bool rime::KeyEvent::caps | ( |  | ) | const
| inline

## ◆ ctrl()

bool rime::KeyEvent::ctrl | ( |  | ) | const
| inline

## ◆ keycode() [1/2]

int rime::KeyEvent::keycode | ( |  | ) | const
| inline

## ◆ keycode() [2/2]

void rime::KeyEvent::keycode | ( | int | value | ) |
| inline

## ◆ modifier() [1/2]

int rime::KeyEvent::modifier | ( |  | ) | const
| inline

## ◆ modifier() [2/2]

void rime::KeyEvent::modifier | ( | int | value | ) |
| inline

## ◆ operator<()

bool rime::KeyEvent::operator< | ( | const KeyEvent & | other | ) | const
| inline

## ◆ operator==()

bool rime::KeyEvent::operator== | ( | const KeyEvent & | other | ) | const
| inline

## ◆ Parse()

bool rime::KeyEvent::Parse | ( | const string & | repr | ) |

## ◆ release()

bool rime::KeyEvent::release | ( |  | ) | const
| inline

## ◆ repr()

string rime::KeyEvent::repr | ( |  | ) | const

## ◆ shift()

bool rime::KeyEvent::shift | ( |  | ) | const
| inline

## ◆ super()

bool rime::KeyEvent::super | ( |  | ) | const
| inline

The documentation for this class was generated from the following files:

- key_event.h
- key_event.cc